--- title: "Get channel stream metadata" slug: "media-livestation-channel-publishingmetainfo" tags: ["Live Station"] updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/media-livestation-channel-publishingmetainfo" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get channel stream metadata Available in Classic and VPC Get the metadata of a stream that is streaming to a live channel. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/channels/{channelId}/streamMetadata | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-channel-channellist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://livestation.apigw.ntruss.com/api/v2/channels/ls-20250814******-zTwK2/streamMetadata' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Stream metadata information | | `content.video` | Object | - | Video track information | | `content.video.width` | Integer | - | Output video width (pixel) | | `content.video.height` | Integer | - | Output video height (pixel) | | `content.video.fps` | Float | - | Number of frames per second (fps) | | `content.video.bitrate` | Integer | - | Video stream's bitrate (bps) | | `content.audio` | Object | - | Audio track information | | `content.audio.bitrate` | Integer | - | Audio stream's bitrate (bps) | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "video": { "width": 1920, "height": 1080, "fps": 30.0, "bitrate": 4026912 }, "audio": { "bitrate": 192320 } } } ```